Subject: [bug#53995] [PATCH 31/31] gnu: update rbw to 1.4.3.

From: Nicolas Graves <[email-masked]>
Date: Tue, 15 Mar 2022 14:26:15 +0100

Sorry for the late answer.

I don't think that necessarily applies to every package dependent on
rust-rsa, I would rather keep it this way. But I'm not confident
to defend it, still junior in guix usage.

Is everything OK with the new batch of patches ?

Cheers,

Nicolas

Maxime Devos <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
> Nicolas Graves schreef op wo 16-02-2022 om 02:24 [+0100]:
>> +          (add-after 'configure 'relax-requirements
>> +            (lambda _
>> +              (substitute*
>> +                  "guix-vendor/rust-rsa-0.5.0.tar.gz/Cargo.toml"
>> +                (("version = \">=1, <1.5\"") "version = \"^1\""))
>> +              )))
>
> Wouldn't this be a problem of the 'rust-rsa' package?  I would move
> this version relaxing to the 'rust-rsa' package, such that all
> dependents of rust-rsa can benefit.
>
> Greetings,
> Maxime.
>
> [[End of PGP Signed Part]]